{"swagger":"2.0","info":{"title":"Crossbrowsertesting.com Local Connection (Tunnels) API","description":"What's in this version: \n\n 1. API v3 is a RESTful web service \n 2. Retrieve a list of Tunnel history \n 3. Start a new Tunnel \n 4. Stop an active Tunnel \n 5. All responses are JSON only at this time","version":"3.0.0"},"host":"crossbrowsertesting.com","schemes":["https"],"securityDefinitions":{"basicAuth":{"type":"basic","description":"HTTP Basic Authentication"}},"basePath":"/api/v3","produces":["application/json"],"paths":{"/tunnels":{"get":{"security":[{"basicAuth":[]}],"summary":"Get Tunnel History","description":"Returns a list of Tunnels ran on your account. Results returned are in order of most recent to oldest ran. As there can be hundreds of tunnels, the results are limited by specifying a starting index and count of Tunnels to return indicated in the parameters provided. A record count is included in the \"meta\" attribute to determine the total number of Tunnels ran.","parameters":[{"name":"num","in":"query","description":"The number of Tunnels to return for this request.","required":false,"type":"number","format":"integer","default":10},{"name":"start","in":"query","description":"Starting index for the Tunnels to retrieve","required":false,"type":"number","format":"integer","default":0},{"name":"active","in":"query","description":"Include only active or inactive Tunnels.","required":false,"type":"boolean"},{"name":"start_date","in":"query","description":"The starting date to filter results. Format: YYYY-MM-DD (2014-09-01)","required":false,"type":"string","format":"date"},{"name":"end_date","in":"query","description":"The ending date to filter results. Format: YYYY-MM-DD (2014-09-03)","required":false,"type":"string","format":"date"}],"responses":{"200":{"description":"An object containing the metadata of overall Tunnels and an array of the user's Tunnel history","schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"record_count":{"type":"integer"}}},"tunnels":{"type":"array","items":{"$ref":"#/definitions/tunnel"}}}}}}},"post":{"security":[],"summary":"Start Tunnel","description":"Starting a Tunnel is not possible via the API. Instead use one of the following resources:<br><br><a href='https://github.com/crossbrowsertesting/cbt-tunnel-nodejs' target='_blank'>CBT NodeJs Tunnel<a/> (recommended)<br><a href='https://chrome.google.com/webstore/detail/ldabplgpogjknofonmccpbgeoolbcbfm' target='_blank'>CBT Tunnel Chrome Extension<a/><br><a href='https://github.com/crossbrowsertesting/cbt-tunnel-java' target='_blank'>CBT Java Tunnel<a/>","parameters":[],"responses":{"200":{"description":"Tunnel Will Not Open"}}}},"/tunnels/{tunnel_id}":{"get":{"security":[{"basicAuth":[]}],"summary":"Get Tunnel Info","description":"Get information about a specific Tunnel","parameters":[{"name":"tunnel_id","in":"path","description":"Tunnel Id","required":true,"type":"number","format":"integer"}],"responses":{"200":{"description":"The Tunnel Information","schema":{"$ref":"#/definitions/tunnel"}}}},"delete":{"summary":"Stop Tunnel","description":"Stop an active Tunnel.","parameters":[{"name":"tunnel_id","in":"path","description":"Tunnel Id","required":true,"type":"number","format":"integer"}],"responses":{"200":{"description":"The Tunnel Information","schema":{"$ref":"#/definitions/tunnel"}}}}}},"definitions":{"tunnel":{"type":"object","properties":{"tunnel_id":{"type":"integer"},"start_date":{"type":"string"},"finished_date":{"type":"string"},"tunnel_password":{"type":"string"},"remote_port":{"type":"integer"},"remote_server":{"type":"string"},"state":{"type":"string"},"tunnel_type":{"type":"string"},"local_ip":{"type":"string"},"local_port":{"type":"integer"},"local_directory":{"type":"string"},"reason_stopped":{"type":"string"},"active":{"type":"boolean"},"message":{"type":"string"},"tunnel_source":{"type":"string"},"tunnel_user":{"type":"string"}}}}}